# Packmangroup: Other
# Packmanpackagename: uae
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>This is a version of UAE, the Ubiquitous Amiga Emulator, with an emulation core based on WinUAE 0.8.27. It attempts to bring many of the great features of WinUAE to non-Windows platforms.</p>
# Packmanpackagedesc_de: <p>Dies ist eine Version von UAE, the Ubiquitous Amiga Emulator, basierend auf der Basis von WinUAE 0.8.27. Es versucht die vielen grossartigen Features der WinUAE-Version auch f&uuml;r nicht-Windows Plattformen zur Verf&uuml;gung zu stellen.</p>

#
# spec file for package uae (Version 0.8.29)
#

Name:           uae
Summary:        A Commodore Amiga emulator
Summary(de):    Ein Commodore Amiga Emulator
License: GPL-2.0
Group:          System/Emulators/Other
URL:            http://www.rcdrummond.net/uae/
Version:        0.8.29
Release:        pm152.8.2

Source0:        e-uae-0.8.29-WIP4.tar.bz2
Source1:        uae
Source2:        uae.desktop
Source3:        uae_64x64.png

Patch0:         defaults.patch
Patch1:         bsdsocket.patch
Patch2:         e-uae-rpmlint.patch
Patch3:         e-uae-0.8.29-WIP4.patch
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  atk-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel
BuildRequires:  gtk2
BuildRequires:  gtk2-devel
BuildRequires:  libpng-devel
BuildRequires:  update-desktop-files
BuildRequires:  pango-devel
BuildRequires:  SDL-devel
#BuildRequires:  xorg-x11-libxkbfile-devel
Autoreqprov:    on

%description
This is a version of UAE, the Ubiquitous Amiga Emulator, with an
emulation core based on WinUAE 0.8.29. It attempts to bring many of
the great features of WinUAE to non-Windows platforms.

%description -l de
Dies ist eine Version von UAE, the Ubiquitous Amiga Emulator, basierend
auf der Basis von WinUAE 0.8.29. Es versucht die vielen grossartigen
Features der WinUAE-Version auch für nicht-Windows Plattformen zur
Verfügung zu stellen.

%prep
%setup -q -n e-uae-0.8.29-WIP4
%patch0
%patch1
%patch2
%patch3 -p1
cp %{S:1} docs/

%build
CFLAGS="${RPM_OPT_FLAGS} -Wno-unused" ./configure --prefix=/usr \
  --enable-cdtv --enable-cd32 --enable-scsi-device \
  --enable-bsdsock --with-sdl --with-sdl-sound --with-sdl-gfx --with-sdl-gl
%{__make} %{?jobs:-j%{jobs}} all

%install
cd src
%{__install} -m 755 -d %{buildroot}%{_bindir}
%{__install} -m 755 -d %{buildroot}%{_libdir}/uae
%{__install} -m 755 -d %{buildroot}%{_datadir}/pixmaps
%{__install} -m 755 uae %{buildroot}%{_bindir}/
%{__install} -m 755 readdisk %{buildroot}%{_libdir}/uae
cd -

#
# for ROM images
%{__install} -d %{buildroot}%{_libdir}/ei
%{__install} -m 644 %{S:1} %{buildroot}%{_libdir}/ei/uae
#
# menu entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications/
%{__install} -m 644 %{S:2} %{buildroot}%{_datadir}/applications/uae.desktop
%suse_update_desktop_file -i %name System Emulator
#
# Icons
rm -f %{buildroot}%{_datadir}/pixmaps/uae
%{__install} -m 644 %{S:3} %{buildroot}%{_datadir}/pixmaps/uae.png
#
# docs fixed
sed -i 's/\r//' amiga/source/uae-configuration.c
chmod 644 amiga/source/*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc docs/* COPYING src/ChangeLog amiga
%{_libdir}/uae
%{_libdir}/ei
%{_datadir}/applications/*
%attr(755,root,root) %{_bindir}/uae
%{_datadir}/pixmaps/uae.png

%changelog
* Tue Sep 23 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.29-4.pm.2
- another little change for openSUSE 11.2
* Tue Sep 08 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.29-4.pm.1
- cleanups where rpmlint wasn't so happy
* Thu Sep 22 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.8.28
* Sat Sep 10 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.8.28 RC2
* Sat Jan 08 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.8.27 final
- cleanups in the spec-file
* Wed Oct 27 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.8.27rc2
* Mon Oct 18 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Initial version
